Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.impl.dtd
Class XMLElementDecl

    java.lang.Object
      weblogic.apache.xerces.impl.dtd.XMLElementDecl

Deprecated. please use JDK supplied XML parsers and transformers

public class XMLElementDecl
extends Object

Field Summary
`weblogic.apache.xerces.impl.dtd.models.ContentModelValidator` | `contentModelValidator` Deprecated. contentModelValidator
`QName` | `name` Deprecated. name
`int` | `scope` Deprecated. scope
`XMLSimpleType` | `simpleType` Deprecated. simpleType
`short` | `type` Deprecated. type
`static short` | `TYPE_ANY` Deprecated. TYPE_ANY
`static short` | `TYPE_CHILDREN` Deprecated. TYPE_CHILDREN
`static short` | `TYPE_EMPTY` Deprecated. TYPE_EMPTY
`static short` | `TYPE_MIXED` Deprecated. TYPE_MIXED
`static short` | `TYPE_SIMPLE` Deprecated. TYPE_SIMPLE

Constructor Summary
`XMLElementDecl()` Deprecated.

Method Summary
`void` | `clear()` Deprecated. clear
`void` | `setValues(QName name, int scope, short type, weblogic.apache.xerces.impl.dtd.models.ContentModelValidator contentModelValidator, XMLSimpleType simpleType)` Deprecated. setValues

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### contentModelValidator

    public weblogic.apache.xerces.impl.dtd.models.ContentModelValidator contentModelValidator

  Deprecated.
  contentModelValidator

### name

    public final QName name

  Deprecated.
  name

### scope

    public int scope

  Deprecated.
  scope

### simpleType

    public final XMLSimpleType simpleType

  Deprecated.
  simpleType

### type

    public short type

  Deprecated.
  type

### TYPE_ANY

    public static final short TYPE_ANY

  Deprecated.
  TYPE_ANY

  See Also:
    Constant Field Values

### TYPE_CHILDREN

    public static final short TYPE_CHILDREN

  Deprecated.
  TYPE_CHILDREN

  See Also:
    Constant Field Values

### TYPE_EMPTY

    public static final short TYPE_EMPTY

  Deprecated.
  TYPE_EMPTY

  See Also:
    Constant Field Values

### TYPE_MIXED

    public static final short TYPE_MIXED

  Deprecated.
  TYPE_MIXED

  See Also:
    Constant Field Values

### TYPE_SIMPLE

    public static final short TYPE_SIMPLE

  Deprecated.
  TYPE_SIMPLE

  See Also:
    Constant Field Values

Constructor Detail

### XMLElementDecl

    public XMLElementDecl()

  Deprecated.

Method Detail

### clear

    public void clear()

  Deprecated.
  clear

### setValues

    public void setValues(QName name,
                          int scope,
                          short type,
                          weblogic.apache.xerces.impl.dtd.models.ContentModelValidator contentModelValidator,
                          XMLSimpleType simpleType)

  Deprecated.
  setValues

  Parameters:
    `name` -
    `scope` -
    `type` -
    `contentModelValidator` -
    `simpleType` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD